<template>
  <q-dialog
    v-model="showHelper"
    :full-width="!isDesktopPlatform"
    :no-esc-dismiss="false"
  >
    <q-card style="min-width: min(500px, 80vw)">
      <q-card-section>
        <div class="text-body1">
          <translate
            translate-context="Example of irrigation layout representation: 'Double 1.2x0.8x0.5 (Q=1L/h)'"
            :translate-params="{irrigationLayoutRepresentation: exampleIrrigationLayoutDisplay}"
          >
            Example for an irrigation layout represented as "%{irrigationLayoutRepresentation}"
          </translate>:
        </div>
        <div class="full-width text-center q-mt-md">
          <img
            src="../img/irrigation-layout.png"
            width="200px"
            style="height: auto;"
          >
        </div>
        <div class="q-mt-md">
          <translate>
            Irrigation layout with a double line of drippers, a flow rate of 1L/h and with the following configuration:
          </translate>
          <ul>
            <li><translate>distance between pairs of 1.2 m</translate></li>
            <li><translate>distance within a pair of 0.8 m</translate></li>
            <li><translate>distance between drippers of 0.5 m</translate></li>
          </ul>
        </div>
      </q-card-section>
      <q-card-section>
        <q-card-actions
          class="q-pa-none"
          align="right"
        >
          <q-btn
            flat
            color="primary"
            @click="showHelper = false"
          >
            <translate>Close</translate>
          </q-btn>
        </q-card-actions>
      </q-card-section>
    </q-card>
  </q-dialog>
</template>

<script>
import { PlatformMixin } from 'src/mixins/PlatformMixin'
export default {
  name: 'IrrigationLayoutHelperDialog',
  mixins: [PlatformMixin],
  props: {
    value: {
      type: Boolean,
      required: true
    },
    getIrrigationLayoutDisplay: {
      type: Function,
      required: true
    }
  },
  emits: ['input'],
  computed: {
    showHelper: {
      get () {
        return this.value
      },
      set (v) {
        this.$emit('input', v)
      }
    },
    exampleIrrigationLayoutDisplay () {
      return this.getIrrigationLayoutDisplay({
        dripper_lines: 'double',
        dripper_flow_rate: 1,
        distance_between_pairs: 1.2,
        distance_within_pairs: 0.8,
        distance_between_drippers: 0.5
      })
    }
  }
}
</script>
